Bug 1549858 (CVE-2018-7549) - CVE-2018-7549 zsh: crash on copying empty hash table
Summary: CVE-2018-7549 zsh: crash on copying empty hash table
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-7549
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20171222,reported=2...
Depends On: 1549859 1571512 1571513
Blocks: 1549839
TreeView+ depends on / blocked
 
Reported: 2018-02-27 22:20 UTC by Laura Pardo
Modified: 2019-06-08 22:43 UTC (History)
6 users (show)

Fixed In Version: zsh 5.5
Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference flaw was found in the code responsible for saving hashtables of the zsh package. An attacker could use this flaw to cause a denial of service by crashing the user shell.
Clone Of:
Environment:
Last Closed: 2018-11-30 00:26:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3073 None None None 2018-10-30 07:30:12 UTC

Description Laura Pardo 2018-02-27 22:20:53 UTC
A flaw was found in zsh prior 5.4.2. There is a crash when copying empty hash table with typeset -p.


Resources:
https://sourceforge.net/p/zsh/code/ci/c2cc8b0fbefc9868fa83537f5b6d90fc1ec438dd

Comment 2 Kamil Dudka 2018-03-06 14:04:15 UTC
(In reply to Laura Pardo from comment #0)
> A flaw was found in zsh prior 5.4.2.

The commit you refer to landed _after_ the 5.4.2 release of zsh and it has not been included in any stable release of zsh yet.

Comment 5 errata-xmlrpc 2018-10-30 07:30:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3073 https://access.redhat.com/errata/RHSA-2018:3073


Note You need to log in before you can comment on or make changes to this bug.